Gentoo Archives: gentoo-dev

From: Doktor Notor <notordoktor@×××××.com>
To: gentoo-dev@l.g.o
Subject: Re: [gentoo-dev] Packages pulling in python-3*, also they dont require it
Date: Thu, 18 Mar 2010 20:53:58
Message-Id: 20100318215331.59ad6253@notorcomp.notorgroup.local
In Reply to: Re: [gentoo-dev] Packages pulling in python-3*, also they dont require it by Ben de Groot
On Thu, 18 Mar 2010 21:27:50 +0100
Ben de Groot <yngwin@g.o> wrote:

> > Since the last option will take time in any case, I guess the first > > option is the best to achieve the desired goal: make sure Python 3 > > stays as far away as possible from any system that doesn't need it. > > And the best way to do that is to package.mask it.
Mask in the CVS tree?! Hmmm, there are tons of broken junk long dead upstream in the tree that doesn't even compile - guess what - not masked and noone's caring. Why on earth would you mask a working package with extremely active maintainer in CVS - just because you don't have a use for it? So why don't you mask it for yourself if you don't have any use for it? The time spent on this ML debate would IMHO be better spent on fixing the dependencies in the tree for stuff that doesn't work w/ python-2 and yet has unversioned or >= deps in ebuilds and such. [1] Cheers, DN. [1] http://tinyurl.com/yhlmcq8

Attachments

File name MIME type
signature.asc application/pgp-signature

Replies